rem
rem Build the frames of some simple animations.  If you have a slow machine,
rem you can add the flag -S to each call to polyray to speed up the rendering.
rem The only disadvantage to this is that the objects will be a bit chunckier,
rem and there will b no shadowing effects.
rem
rem In order to build the many frames for the animations you will need
rem approximately half a Megabyte for each of the animations.  To collect
rem the frames into an animation, you will need DTA. You will also need
rem a player such as aaplay or play08 to show the resulting animation.
rem
rem The call to 'ztc' below will need to be replaced by another C compiler
rem if you don't have Zortech. (Needs to be large model)
rem
cd thresh
polyray squirm.pi
dta sqrm*.tga
del sqrm*.tga
cd ..\displace
polyray disp1.pi -r 1 -q 63 -x 200 -y 200
dta out*.tga
ren anim.fli disp1.fli
del out*.tga
cd ..\whirl
polyray whirl.pi
dta whirl*.tga
ren anim.fli whirl1.fli
del *.tga
polyray busyb1.pi -r 1 -q 0
dta out*.tga
ren anim.fli whirl2.fli
del out*.tga
cd ..\plane
polyray plane.pi
dta plane*.tga
del *.tga
cd ..\texanim
polyray texanim.pi
dta out*.tga
del out*.tga
ren anim.fli texanim.fli
polyray flame.pi
dta out*.tga
del out*.tga
ren anim.fli flame.fli
cd ..\environ
polyray ilight.pi
dta out*.tga
ren anim.fli anim1.fli
del out*.tga
polyray environ.pi
dta out*.tga
del out*.tga
ren anim.fli anim2.fli
cd ..\superq
ztc -ml superq.c lib.c
superq
cd ..\force
polyray force.pi
dta out*.tga
del out*.tga
cd ..
